com.threerings.whirled.server

## Class AbstractSceneMoveHandler

- java.lang.Object
- - com.threerings.whirled.server.AbstractSceneMoveHandler

All Implemented Interfaces:
  SceneRegistry.ResolutionListener

Direct Known Subclasses:
  SceneMoveHandler, ZoneMoveHandler

    public abstract class AbstractSceneMoveHandler
    extends Object
    implements SceneRegistry.ResolutionListener

Handles the basics of moving a client into a new scene, which may involve resolution. Takes care of annoying edge cases like the client logging off before their target scene is resolved and can be extended to handle extra fun stuff.

### Constructor Summary

Constructors
Constructor and Description
`AbstractSceneMoveHandler(com.threerings.crowd.server.LocationManager locman, com.threerings.crowd.data.BodyObject body, com.threerings.presents.client.InvocationService.InvocationListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sceneFailedToResolve(int sceneId, Exception reason)` Called if some failure occurred in the scene resolution process.
`void` `sceneWasResolved(SceneManager scmgr)` Called when the scene has been successfully resolved.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSceneMoveHandler

    public AbstractSceneMoveHandler(com.threerings.crowd.server.LocationManager locman,
                                    com.threerings.crowd.data.BodyObject body,
                                    com.threerings.presents.client.InvocationService.InvocationListener listener)

### Method Detail

#### sceneWasResolved

    public void sceneWasResolved(SceneManager scmgr)

Description copied from interface: `SceneRegistry.ResolutionListener`
Called when the scene has been successfully resolved. The scene manager instance provided can be used to obtain a reference to the scene, or the scene distributed object.

Specified by:
  `sceneWasResolved` in interface `SceneRegistry.ResolutionListener`

#### sceneFailedToResolve

    public void sceneFailedToResolve(int sceneId,
                                     Exception reason)

Description copied from interface: `SceneRegistry.ResolutionListener`
Called if some failure occurred in the scene resolution process.

Specified by:
  `sceneFailedToResolve` in interface `SceneRegistry.ResolutionListener`